/**
 * Google Lang maps
 */
const uu$ = {
  googleLangIDMaps: {
    'af': {
      englishName: 'Afrikaans',
      localName: 'Afrikaans',
      zhName: '南非荷兰语',
      compatible: ['af', 'af-AF', 'af_af'],
      compatibleForKendoUI: {
        culture: 'af',
        message: ''
      }
    },
    'sq': {
      englishName: 'Albanian',
      localName: 'Shqiptar',
      zhName: '阿尔巴尼亚语',
      compatible: ['sq', 'sq-SQ', 'sq_sq'],
      compatibleForKendoUI: {
        culture: 'sq',
        message: ''
      }
    },
    'ar': {
      englishName: 'Arabic',
      localName: 'العربية',
      zhName: '阿拉伯语',
      compatible: ['ar', 'ar-AR', 'ar_ar'],
      compatibleForKendoUI: {
        culture: 'ar',
        message: ''
      }
    },
    'hy': {
      englishName: 'Armenian',
      localName: 'Հայերեն',
      zhName: '亚美尼亚语',
      compatible: ['hy', 'hy-HY', 'hy_HY'],
      compatibleForKendoUI: {
        culture: 'hy',
        message: 'hy-AM'
      }
    },
    'az': {
      englishName: 'Azerbaijani',
      localName: 'Azərbaycan',
      zhName: '阿塞拜疆语',
      compatible: ['az', 'az-AZ', 'az_AZ'],
      compatibleForKendoUI: {
        culture: 'az',
        message: ''
      }
    },
    'eu': {
      englishName: 'Basque',
      localName: 'Euskal',
      zhName: '巴斯克语',
      compatible: ['eu', 'eu-EU', 'en_EU'],
      compatibleForKendoUI: {
        culture: 'eu',
        message: ''
      }
    },
    'be': {
      englishName: 'Belarusian',
      localName: 'Беларуская',
      zhName: '白俄罗斯语',
      compatible: ['be', 'be-BE', 'be_BE'],
      compatibleForKendoUI: {
        culture: 'be',
        message: ''
      }
    },
    'bn': {
      englishName: 'Bengali',
      localName: 'বাঙ্গালী',
      zhName: '孟加拉语',
      compatible: ['bn', 'bn-BN', 'bn_BN'],
      compatibleForKendoUI: {
        culture: 'bn',
        message: ''
      }
    },
    'bs': {
      englishName: 'Bosnian',
      localName: 'Bosanski',
      zhName: '波斯尼亚语',
      compatible: ['bs', 'bs-BS', 'bs_BS'],
      compatibleForKendoUI: {
        culture: 'bs',
        message: ''
      }
    },
    'bg': {
      englishName: 'Bulgarian',
      localName: 'Български',
      zhName: '保加利亚语',
      compatible: ['bg', 'bg-BG', 'bg_BG'],
      compatibleForKendoUI: {
        culture: 'bg',
        message: 'bg-BG'
      }
    },
    'ca': {
      englishName: 'Catalan',
      localName: 'Català',
      zhName: '加泰罗尼亚语',
      compatible: ['ca', 'ca-ES', 'ca-es'],
      compatibleForKendoUI: {
        culture: 'ca',
        message: ''
      }
    },
    'ceb': {
      englishName: 'Cebuano',
      localName: 'Cebuano',
      zhName: '宿雾语',
      compatible: ['ceb'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'ny': {
      englishName: 'Chichewa',
      localName: 'Chichewa',
      zhName: '奇切瓦语',
      compatible: ['ny', 'ny-NY', 'ny_NY'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'zh-CN': {
      englishName: 'Chinese Simplified',
      localName: '简体中文',
      zhName: '中文简体',
      compatible: ['zh', 'zh-CN', 'zh_cn', 'zh-Hans'],
      compatibleForKendoUI: {
        culture: 'zh-CN',
        message: 'zh-CN'
      }
    },
    'zh-TW': {
      englishName: 'Chinese Traditional',
      localName: '繁体中文',
      zhName: '中文繁体',
      compatible: ['zh-TW', 'zh_tw', 'zh-Hant'],
      compatibleForKendoUI: {
        culture: 'zh-TW',
        message: 'zh-TW'
      }
    },
    'hr': {
      englishName: 'Croatian',
      localName: 'Hrvatski',
      zhName: '克罗地亚语',
      compatible: ['hr', 'hr-HR', 'hr_hr'],
      compatibleForKendoUI: {
        culture: 'hr',
        message: ''
      }
    },
    'cs': {
      englishName: 'Czech',
      localName: 'Čeština',
      zhName: '捷克语',
      compatible: ['cs', 'cs-CZ', 'cs_cz'],
      compatibleForKendoUI: {
        culture: 'cs',
        message: 'cs-CZ'
      }
    },
    'da': {
      englishName: 'Danish',
      localName: 'Dansk',
      zhName: '丹麦语',
      compatible: ['da', 'da-DK', 'da-da', 'da_da'],
      compatibleForKendoUI: {
        culture: 'da',
        message: 'da-DK'
      }
    },
    'nl': {
      englishName: 'Dutch',
      localName: 'Nederlands',
      zhName: '荷兰语',
      compatible: ['nl', 'nl-NL', 'nl_nl'],
      compatibleForKendoUI: {
        culture: 'nl',
        message: 'nl-NL'
      }
    },
    'en': {
      englishName: 'English',
      localName: 'English',
      zhName: '英语',
      compatible: ['en', 'en-US', 'en_us'],
      compatibleForKendoUI: {
        culture: 'en-US',
        message: 'en-US'
      }
    },
    'eo': {
      englishName: 'Esperanto',
      localName: 'Esperanto',
      zhName: '世界语',
      compatible: ['eo', 'eo-EO', 'eo_eo'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'et': {
      englishName: 'Estonian',
      localName: 'Eesti',
      zhName: '爱沙尼亚语',
      compatible: ['et', 'et-ET', 'et_ET'],
      compatibleForKendoUI: {
        culture: 'et',
        message: ''
      }
    },
    'tl': {
      englishName: 'Filipino',
      localName: 'Pilipino',
      zhName: '菲律宾语',
      compatible: ['tl', 'tl-TL', 'tl_TL'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'fi': {
      englishName: 'Finnish',
      localName: 'Suomi',
      zhName: '芬兰语',
      compatible: ['fi', 'fi-FI', 'fi_fi'],
      compatibleForKendoUI: {
        culture: 'fi',
        message: 'fi-FI'
      }
    },
    'fr': {
      englishName: 'French',
      localName: 'Français',
      zhName: '法语',
      compatible: ['fr', 'fr-FR', 'fr_fr'],
      compatibleForKendoUI: {
        culture: 'fr',
        message: 'fr-FR'
      }
    },
    'gl': {
      englishName: 'Galician',
      localName: 'Galega',
      zhName: '加利西亚语',
      compatible: ['gl', 'gl-GL', 'gl_GL'],
      compatibleForKendoUI: {
        culture: 'gl',
        message: ''
      }
    },
    'ka': {
      englishName: 'Georgian',
      localName: 'ქართული',
      zhName: '格鲁吉亚语',
      compatible: ['ka', 'ka-kA', 'ka_ka'],
      compatibleForKendoUI: {
        culture: 'ka',
        message: ''
      }
    },
    'de': {
      englishName: 'German',
      localName: 'Deutsch',
      zhName: '德语',
      compatible: ['de', 'de-DE', 'de_de'],
      compatibleForKendoUI: {
        culture: 'de',
        message: 'de-DE'
      }
    },
    'el': {
      englishName: 'Greek',
      localName: 'Ελληνικά',
      zhName: '希腊语',
      compatible: ['el', 'el-GR', 'el_gr'],
      compatibleForKendoUI: {
        culture: 'el',
        message: ''
      }
    },
    'gu': {
      englishName: 'Gujarati',
      localName: 'ગુજરાતી',
      zhName: '古吉拉特语',
      compatible: ['gu', 'gu-GU', 'gu_gu'],
      compatibleForKendoUI: {
        culture: 'gu',
        message: ''
      }
    },
    'ht': {
      englishName: 'Haitian Creole',
      localName: 'Kreyòl ayisyen',
      zhName: '海地克里奥尔语',
      compatible: ['ht', 'ht-HT', 'ht_ht'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'ha': {
      englishName: 'Hausa',
      localName: 'Hausa',
      zhName: '豪萨语',
      compatible: ['ha', 'ha-HA', 'ha_ha'],
      compatibleForKendoUI: {
        culture: 'ha',
        message: ''
      }
    },
    'iw': {
      englishName: 'Hebrew',
      localName: 'עברית',
      zhName: '希伯来语',
      compatible: ['iw', 'iw-IW', 'iw_iw', 'he', 'he-IL', 'he-il'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'hi': {
      englishName: 'Hindi',
      localName: 'हिन्दी',
      zhName: '印地语',
      compatible: ['hi', 'hi-HI', 'hi_hi'],
      compatibleForKendoUI: {
        culture: 'hi',
        message: ''
      }
    },
    'hmn': {
      englishName: 'Hmong',
      localName: 'Hmoob',
      zhName: '苗族语',
      compatible: ['hmn'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'hu': {
      englishName: 'Hungarian',
      localName: 'Magyar',
      zhName: '匈牙利语',
      compatible: ['hu', 'hu-HU', 'hu_hu'],
      compatibleForKendoUI: {
        culture: 'hu',
        message: ''
      }
    },
    'is': {
      englishName: 'Icelandic',
      localName: 'Icelandic',
      zhName: '冰岛语',
      compatible: ['is', 'is-IS', 'is_is'],
      compatibleForKendoUI: {
        culture: 'is',
        message: ''
      }
    },
    'ig': {
      englishName: 'Igbo',
      localName: 'Igbo',
      zhName: '伊博语',
      compatible: ['ig', 'ig-IG', 'ig_ig'],
      compatibleForKendoUI: {
        culture: 'ig',
        message: ''
      }
    },
    'id': {
      englishName: 'Indonesian',
      localName: 'Indonesia',
      zhName: '印尼语',
      compatible: ['id', 'id-ID', 'id_id'],
      compatibleForKendoUI: {
        culture: 'id',
        message: ''
      }
    },
    'ga': {
      englishName: 'Irish',
      localName: 'Gaeilge',
      zhName: '爱尔兰语',
      compatible: ['ga', 'ga-GA', 'ga_ga'],
      compatibleForKendoUI: {
        culture: 'ga',
        message: ''
      }
    },
    'it': {
      englishName: 'Italian',
      localName: 'Italiano',
      zhName: '意大利语',
      compatible: ['it', 'it-IT', 'it_it'],
      compatibleForKendoUI: {
        culture: 'it',
        message: 'it-IT'
      }
    },
    'ja': {
      englishName: 'Japanese',
      localName: '日本の',
      zhName: '日语',
      compatible: ['ja', 'ja-JP', 'ja_jp'],
      compatibleForKendoUI: {
        culture: 'ja-JP',
        message: 'ja-JP'
      }
    },
    'jw': {
      englishName: 'Javanese',
      localName: 'Jawa',
      zhName: '爪哇语',
      compatible: ['jw', 'jw-JW', 'jw_jw'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'kn': {
      englishName: 'Kannada',
      localName: 'ಕನ್ನಡ',
      zhName: '卡纳达语',
      compatible: ['kn', 'kn-KN', 'kn_kn'],
      compatibleForKendoUI: {
        culture: 'kn',
        message: ''
      }
    },
    'kk': {
      englishName: 'Kazakh',
      localName: 'Қазақ',
      zhName: '哈萨克语',
      compatible: ['kk', 'kk-KK', 'kk_kk'],
      compatibleForKendoUI: {
        culture: 'kk',
        message: ''
      }
    },
    'km': {
      englishName: 'Khmer',
      localName: 'ខ្មែរ',
      zhName: '高棉语',
      compatible: ['km', 'km-KM', 'km_km'],
      compatibleForKendoUI: {
        culture: 'km',
        message: ''
      }
    },
    'ko': {
      englishName: 'Korean',
      localName: '한국의',
      zhName: '韩语',
      compatible: ['ko', 'ko-KR', 'ko_kr'],
      compatibleForKendoUI: {
        culture: 'ko',
        message: ''
      }
    },
    'lo': {
      englishName: 'Lao',
      localName: 'ລາວ',
      zhName: '老挝语',
      compatible: ['lo', 'lo-LO', 'lo_lo'],
      compatibleForKendoUI: {
        culture: 'lo',
        message: ''
      }
    },
    'la': {
      englishName: 'Latin',
      localName: 'Latine',
      zhName: '拉丁语',
      compatible: ['la', 'la-LA', 'la_la'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'lv': {
      englishName: 'Latvian',
      localName: 'Latvijas',
      zhName: '拉脱维亚语',
      compatible: ['lv', 'lv-LV', 'lv_lv'],
      compatibleForKendoUI: {
        culture: 'lv',
        message: ''
      }
    },
    'lt': {
      englishName: 'Lithuanian',
      localName: 'Lietuvos',
      zhName: '立陶宛语',
      compatible: ['lt', 'lt-LT', 'lt_lt'],
      compatibleForKendoUI: {
        culture: 'lt',
        message: ''
      }
    },
    'mk': {
      englishName: 'Macedonian',
      localName: 'Македонски',
      zhName: '马其顿语',
      compatible: ['mk', 'mk-MK', 'mk_mk'],
      compatibleForKendoUI: {
        culture: 'mk',
        message: ''
      }
    },
    'mg': {
      englishName: 'Malagasy',
      localName: 'Malagasy',
      zhName: '马尔加什语',
      compatible: ['mg', 'mg-MG', 'mg_mg'],
      compatibleForKendoUI: {
        culture: 'mg',
        message: ''
      }
    },
    'ms': {
      englishName: 'Malay',
      localName: 'Melayu',
      zhName: '马来西亚语',
      compatible: ['ms', 'ms-MS', 'ms_ms'],
      compatibleForKendoUI: {
        culture: 'ms',
        message: ''
      }
    },
    'ml': {
      englishName: 'Malayalam',
      localName: 'മലയാളം',
      zhName: '马拉雅拉姆语',
      compatible: ['ml', 'ml-ML', 'ml_ml'],
      compatibleForKendoUI: {
        culture: 'ml',
        message: ''
      }
    },
    'mt': {
      englishName: 'Maltese',
      localName: 'Malti',
      zhName: '马耳他语',
      compatible: ['mt', 'mt-MT', 'mt_mt'],
      compatibleForKendoUI: {
        culture: 'mt',
        message: ''
      }
    },
    'mi': {
      englishName: 'Maori',
      localName: 'Maori',
      zhName: '毛利语',
      compatible: ['mi', 'mi-MI', 'mi_mi'],
      compatibleForKendoUI: {
        culture: 'mi',
        message: ''
      }
    },
    'mr': {
      englishName: 'Marathi',
      localName: 'मराठी',
      zhName: '马拉语',
      compatible: ['mr', 'mr-MR', 'mr_mr', 'mr-IN'],
      compatibleForKendoUI: {
        culture: 'mr',
        message: ''
      }
    },
    'mn': {
      englishName: 'Mongolian',
      localName: 'Монгол',
      zhName: '蒙语',
      compatible: ['mn', 'mn-MN', 'mn_mn'],
      compatibleForKendoUI: {
        culture: 'mn',
        message: ''
      }
    },
    'my': {
      englishName: 'Myanmar (Burmese)',
      localName: 'မြန်မာ (ဗမာ)',
      zhName: '缅甸语',
      compatible: ['my', 'my-MY', 'my_my'],
      compatibleForKendoUI: {
        culture: 'my',
        message: ''
      }
    },
    'ne': {
      englishName: 'Nepali',
      localName: 'नेपाली',
      zhName: '尼泊尔语',
      compatible: ['ne', 'ne-NE', 'ne_ne'],
      compatibleForKendoUI: {
        culture: 'ne',
        message: ''
      }
    },
    'no': {
      englishName: 'Norwegian',
      localName: 'Norsk',
      zhName: '挪威语',
      compatible: ['no', 'no-NO', 'no_no', 'nb', 'nb-NO', 'nb_no'],
      compatibleForKendoUI: {
        culture: 'no',
        message: ''
      }
    },
    'fa': {
      englishName: 'Persian',
      localName: 'فارسی',
      zhName: '波斯语',
      compatible: ['fa', 'fa-FA', 'fa_fa'],
      compatibleForKendoUI: {
        culture: 'fa',
        message: ''
      }
    },
    'pl': {
      englishName: 'Polish',
      localName: 'Polski',
      zhName: '波兰语',
      compatible: ['pl', 'pl-PL', 'pl_pl'],
      compatibleForKendoUI: {
        culture: 'pl',
        message: 'pl-PL'
      }
    },
    'pt': {
      englishName: 'Portuguese',
      localName: 'Português',
      zhName: '葡萄牙语',
      compatible: ['pt', 'pt-BR', 'pt_br', 'pt-PT', 'pt_pt'],
      compatibleForKendoUI: {
        culture: 'pt',
        message: 'pt-PT'
      }
    },
    'ma': {
      englishName: 'Punjabi',
      localName: 'ਪੰਜਾਬੀ ਦੇ',
      zhName: '旁遮普语',
      compatible: ['ma', 'ma-MA', 'ma_ma'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'ro': {
      englishName: 'Romanian',
      localName: 'Român',
      zhName: '罗马尼亚语',
      compatible: ['ro', 'ro-RO', 'ro_ro'],
      compatibleForKendoUI: {
        culture: 'ro',
        message: 'ro-RO'
      }
    },
    'ru': {
      englishName: 'Russian',
      localName: 'Русский',
      zhName: '俄语',
      compatible: ['ru', 'ru-RU', 'ru_ru'],
      compatibleForKendoUI: {
        culture: 'ru',
        message: 'ru-RU'
      }
    },
    'sr': {
      englishName: 'Serbian',
      localName: 'Српски',
      zhName: '塞尔维亚语',
      compatible: ['sr', 'sr-SR', 'sr_sr'],
      compatibleForKendoUI: {
        culture: 'sr',
        message: ''
      }
    },
    'st': {
      englishName: 'Sesotho',
      localName: 'Sesotho',
      zhName: '塞索托语',
      compatible: ['st', 'st-ST', 'st_st'],
      compatibleForKendoUI: {
        culture: 'st',
        message: ''
      }
    },
    'si': {
      englishName: 'Sinhala',
      localName: 'සිංහල',
      zhName: '僧伽罗语',
      compatible: ['si', 'si-SI', 'si_si'],
      compatibleForKendoUI: {
        culture: 'si',
        message: ''
      }
    },
    'sk': {
      englishName: 'Slovak',
      localName: 'Slovenský',
      zhName: '斯洛伐克语',
      compatible: ['sk', 'sk-SK', 'sk_sk'],
      compatibleForKendoUI: {
        culture: 'sk',
        message: 'sk-SK'
      }
    },
    'sl': {
      englishName: 'Slovenian',
      localName: 'Slovenščina',
      zhName: '斯洛文尼亚语',
      compatible: ['sl', 'sl-SL', 'sl_sl'],
      compatibleForKendoUI: {
        culture: 'sl',
        message: ''
      }
    },
    'so': {
      englishName: 'Somali',
      localName: 'Somali',
      zhName: '索马里语',
      compatible: ['so', 'so-SO', 'so_so'],
      compatibleForKendoUI: {
        culture: 'so',
        message: ''
      }
    },
    'es': {
      englishName: 'Spanish',
      localName: 'Español',
      zhName: '西班牙语',
      compatible: ['es', 'es-ES', 'es_es', 'es-MX', 'es-XL', 'es-xl'],
      compatibleForKendoUI: {
        culture: 'es',
        message: 'es-ES'
      }
    },
    'su': {
      englishName: 'Sudanese',
      localName: 'Sudanese',
      zhName: '苏丹语',
      compatible: ['su', 'su-SU', 'su_su'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'sw': {
      englishName: 'Swahili',
      localName: 'Kiswahili',
      zhName: '斯瓦希里语',
      compatible: ['sw', 'sw-SW', 'sw_sw'],
      compatibleForKendoUI: {
        culture: 'sw',
        message: ''
      }
    },
    'sv': {
      englishName: 'Swedish',
      localName: 'Svenska',
      zhName: '瑞典语',
      compatible: ['sv', 'sv-SE', 'sv_se', 'sv-SV', 'sv_sv'],
      compatibleForKendoUI: {
        culture: 'sv',
        message: 'sv-SV'
      }
    },
    'tg': {
      englishName: 'Tajik',
      localName: 'Тоҷикистон',
      zhName: '塔吉克语',
      compatible: ['tg', 'tg-TG', 'tg_tg'],
      compatibleForKendoUI: {
        culture: 'tg',
        message: ''
      }
    },
    'ta': {
      englishName: 'Tamil',
      localName: 'தமிழ்',
      zhName: '泰米尔语',
      compatible: ['ta', 'ta-TA', 'ta_ta'],
      compatibleForKendoUI: {
        culture: 'ta',
        message: ''
      }
    },
    'te': {
      englishName: 'Telugu',
      localName: 'తెలుగు',
      zhName: '泰卢固语',
      compatible: ['te', 'te-TE', 'te_te'],
      compatibleForKendoUI: {
        culture: 'te',
        message: ''
      }
    },
    'th': {
      englishName: 'Thai',
      localName: 'ไทย',
      zhName: '泰语',
      compatible: ['th', 'th-TH', 'th_th'],
      compatibleForKendoUI: {
        culture: 'th',
        message: ''
      }
    },
    'tr': {
      englishName: 'Turkish',
      localName: 'Türk',
      zhName: '土耳其语',
      compatible: ['tr', 'tr-TR', 'tr_tr'],
      compatibleForKendoUI: {
        culture: 'tr',
        message: 'tr-TR'
      }
    },
    'uk': {
      englishName: 'Ukrainian',
      localName: 'Український',
      zhName: '乌克兰语',
      compatible: ['uk', 'uk-UA', 'uk__ua', 'uk-UK', 'uk__uk'],
      compatibleForKendoUI: {
        culture: 'uk',
        message: 'uk-UA'
      }
    },
    'ur': {
      englishName: 'Urdu',
      localName: 'اردو',
      zhName: '乌尔都语',
      compatible: ['ur', 'ur-UR', 'ur__ur'],
      compatibleForKendoUI: {
        culture: 'ur',
        message: ''
      }
    },
    'uz': {
      englishName: 'Uzbek',
      localName: 'O\'zbekiston',
      zhName: '乌兹别克语',
      compatible: ['uz', 'uz-UZ', 'uz__uz'],
      compatibleForKendoUI: {
        culture: 'uz',
        message: ''
      }
    },
    'vi': {
      englishName: 'Vietnamese',
      localName: 'Tiếng Việt',
      zhName: '越南语',
      compatible: ['vi', 'vi-VN', 'vi-vn', 'vi-VI', 'vi_vi'],
      compatibleForKendoUI: {
        culture: 'vi',
        message: ''
      }
    },
    'cy': {
      englishName: 'Welsh',
      localName: 'Cymraeg',
      zhName: '威尔士语',
      compatible: ['cy', 'cy-CY', 'cy_cy'],
      compatibleForKendoUI: {
        culture: 'cy',
        message: ''
      }
    },
    'yi': {
      englishName: 'Yiddish',
      localName: 'ייִדיש',
      zhName: '意第绪语',
      compatible: ['yi', 'yi-YI', 'yi_yi'],
      compatibleForKendoUI: {
        culture: '',
        message: ''
      }
    },
    'yo': {
      englishName: 'Yoruba',
      localName: 'Yoruba',
      zhName: '约鲁巴语',
      compatible: ['yo', 'yo-YO', 'yo_yo'],
      compatibleForKendoUI: {
        culture: 'yo',
        message: ''
      }
    },
    'zu': {
      englishName: 'Zulu',
      localName: 'Zulu',
      zhName: '祖鲁语',
      compatible: ['zu', 'zu-ZU', 'zu_zu'],
      compatibleForKendoUI: {
        culture: 'zu',
        message: ''
      }
    }
  },
  getGoogleLangID: function (langKey) {
    var foundLangID = null
    const obj = this.googleLangIDMaps
    var fn = function (value, key) {
      const compatibleList = value['compatible']
      compatibleList.forEach(function (value, index, compatibleList) {
        if (value.toLowerCase() === langKey.toLowerCase()) {
          foundLangID = key
          return false
        }
      })
    }

    Object.keys(obj).forEach(key => fn(obj[key], key))
    return foundLangID
  }
}

/**
 * 检测全局变量JQuery是否存在, 兼容以前代码
 */
function autoForJquery (ref) {
  var t$ = ref
  try {
    if (window) {
      if (window.jQuery && window.$) {
        window.$.RTYUtils = window.$.extend(window.$.RTYUtils, uu$)
        window.$ = window.$.extend(window.$, t$)
      }
    }
  } catch (error) {
    console.warn(error)
  }
}

const googleLangIDMaps = uu$
autoForJquery(uu$)

export {
  googleLangIDMaps
}
